
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- print warning if pal= or secam= argument is unrecognized

Signed-off-by: Philip Rowlands <phr@doc.ic.ac.uk>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/tda9887.c    |   13 +++++++++++++
 drivers/media/video/tuner-core.c |   12 ++++++++++++
 2 files changed, 25 insertions(+)

diff -puN drivers/media/video/tda9887.c~v4l-print-warning-if-pal=-or-secam=-argument-is drivers/media/video/tda9887.c
--- devel/drivers/media/video/tda9887.c~v4l-print-warning-if-pal=-or-secam=-argument-is	2005-09-06 21:14:36.000000000 -0700
+++ devel-akpm/drivers/media/video/tda9887.c	2005-09-06 21:14:36.000000000 -0700
@@ -23,6 +23,7 @@
       TDA9887 (world), TDA9885 (USA)
       Note: OP2 of tda988x must be set to 1, else MT2032 is disabled!
    - KNC One TV-Station RDS (saa7134)
+   - Hauppauge PVR-150/500 (possibly more)
 */
 
 
@@ -519,6 +520,12 @@ static int tda9887_fixup_std(struct tda9
 			dprintk(PREFIX "insmod fixup: PAL => PAL-DK\n");
 			t->std = V4L2_STD_PAL_DK;
 			break;
+		case '-':
+			/* default parameter, do nothing */
+			break;
+		default:
+			printk(PREFIX "pal= argument not recognised\n");
+			break;
 		}
 	}
 	if ((t->std & V4L2_STD_SECAM) == V4L2_STD_SECAM) {
@@ -535,6 +542,12 @@ static int tda9887_fixup_std(struct tda9
 			dprintk(PREFIX "insmod fixup: SECAM => SECAM-L\n");
 			t->std = V4L2_STD_SECAM_L;
 			break;
+		case '-':
+			/* default parameter, do nothing */
+			break;
+		default:
+			printk(PREFIX "secam= argument not recognised\n");
+			break;
 		}
 	}
 	return 0;
diff -puN drivers/media/video/tuner-core.c~v4l-print-warning-if-pal=-or-secam=-argument-is drivers/media/video/tuner-core.c
--- devel/drivers/media/video/tuner-core.c~v4l-print-warning-if-pal=-or-secam=-argument-is	2005-09-06 21:14:36.000000000 -0700
+++ devel-akpm/drivers/media/video/tuner-core.c	2005-09-06 21:14:36.000000000 -0700
@@ -281,6 +281,12 @@ static int tuner_fixup_std(struct tuner 
 			tuner_dbg ("insmod fixup: PAL => PAL-N\n");
 			t->std = V4L2_STD_PAL_N;
 			break;
+		case '-':
+			/* default parameter, do nothing */
+			break;
+		default:
+			tuner_warn ("pal= argument not recognised\n");
+			break;
 		}
 	}
 	if ((t->std & V4L2_STD_SECAM) == V4L2_STD_SECAM) {
@@ -297,6 +303,12 @@ static int tuner_fixup_std(struct tuner 
 			tuner_dbg ("insmod fixup: SECAM => SECAM-L\n");
 			t->std = V4L2_STD_SECAM_L;
 			break;
+		case '-':
+			/* default parameter, do nothing */
+			break;
+		default:
+			tuner_warn ("secam= argument not recognised\n");
+			break;
 		}
 	}
 
_
